# Uses of Enum
org.kapott.hbci.sepa.SepaVersion.Type

Packages that use SepaVersion.Type
Package
Description
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.sepa

## Uses of SepaVersion.Type in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV that return SepaVersion.Type
Modifier and Type
Method
Description
`protected SepaVersion.Type`
AbstractGVLastSEPA.`getPainType()`
`protected abstract SepaVersion.Type`
AbstractSEPAGV.`getPainType()`
Liefert den PAIN-Type.
`protected SepaVersion.Type`
GVDauerLastSEPAList.`getPainType()`
`protected SepaVersion.Type`
GVDauerSEPADel.`getPainType()`
`protected SepaVersion.Type`
GVDauerSEPAEdit.`getPainType()`
`protected SepaVersion.Type`
GVDauerSEPAList.`getPainType()`
`protected SepaVersion.Type`
GVDauerSEPANew.`getPainType()`
`protected SepaVersion.Type`
GVKUmsAllCamt.`getPainType()`
`protected SepaVersion.Type`
GVTermUebSEPA.`getPainType()`
`protected SepaVersion.Type`
GVTermUebSEPADel.`getPainType()`
`protected SepaVersion.Type`
GVTermUebSEPAEdit.`getPainType()`
`protected SepaVersion.Type`
GVTermUebSEPAList.`getPainType()`
`protected SepaVersion.Type`
GVUebSEPA.`getPainType()`
`protected SepaVersion.Type`
GVUmbSEPA.`getPainType()`

## Uses of SepaVersion.Type in org.kapott.hbci.sepa

Methods in org.kapott.hbci.sepa that return SepaVersion.Type
Modifier and Type
Method
Description
`SepaVersion.Type`
SepaVersion.`getType()`
Liefert den Typ der SEPA-Version.
`static SepaVersion.Type`
SepaVersion.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SepaVersion.Type[]`
SepaVersion.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa with parameters of type SepaVersion.Type
Modifier and Type
Method
Description
`static List<SepaVersion>`
SepaVersion.`getKnownVersions(SepaVersion.Type t)`
Liefert eine Liste der bekannten SEPA-Versionen fuer den angegebenen Typ.